Bug 998471 - ClassNotFoundException when exporting table data to excel - org.apache.xmlbeans.XmlObject
ClassNotFoundException when exporting table data to excel - org.apache.xmlbea...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity high
: ER3
: 6.0.0
Assigned To: Walter Medvedeo
Jan Hrcek
:
Depends On:
Blocks: 1091801
  Show dependency treegraph
 
Reported: 2013-08-19 07:41 EDT by Jan Hrcek
Modified: 2014-08-06 16:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1091801 (view as bug list)
Environment:
Last Closed: 2014-08-06 16:07:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hrcek 2013-08-19 07:41:31 EDT
Description of problem:
When exporting data to excel ClassNotFoundException is thrown:
java.lang.ClassNotFoundException: org.apache.xmlbeans.XmlObject from [Module "deployment.dashbuilder.war:main" from Service Module Loader]

This issue is different from https://bugzilla.redhat.com/show_bug.cgi?id=976268.

Version-Release number of selected component (if applicable):
BPMS 6.0.0.ER1

How reproducible:
Always

Steps to Reproduce:
1. Login to http://localhost:8080/dashbuilder
2. On workspace showcase go to page 'Sales report'
3. At the top right of 'Sales report table' panel click 'Export to excel'

Actual results:
Unexpected error dialog with exception stacktrace is shown (see further). No XLS report is generated.

Expected results:
No exception occurs, XLS file is exported.

Additional info:
Exception stacktrace from server.log

13:29:19,331 ERROR [org.jboss.dashboard.error.ErrorManager] (http-localhost/127.0.0.1:8080-2) UNEXPECTED ERROR.
Thread id=http-localhost/127.0.0.1:8080-2
Thread begin date=Mon Aug 19 13:29:19 CEST 2013
Thread group=main
Request URL=/dashbuilder/Controller?idPanel=3043&_fb=tableviewer&_fp=0&pAction=_factory&dataExportFormat=xlsx
Request IP=127.0.0.1
Request date=Mon Aug 19 13:29:19 CEST 2013
Request header:user-agent=Mozilla/5.0 (X11; Linux x86_64; rv:17.0) Gecko/20100101 Firefox/17.0
Request header:referer=http://localhost:8080/dashbuilder/workspace/en/showcase/expenses-by-office
Request header:cookie=JSESSIONID=VInk5Gj5pasbEioMdkvcoSsN; dashbuilderNavigationPoint=en-4xc-1; __utma=111872281.615198870.1371621178.1375253486.1376541026.10; __utmz=111872281.1371621178.1.1.utmcsr=(direct)|utmccn=(direct)|utmcmd=(none); designercolortheme=jBPM; kie.ide.console="QJDfSc/HczE=  "; JSESSIONIDSSO=Aa6rXA-C9eEPohDZlKLEKpr4; region_left_web_2_0_cookie=1
Request param:idPanel=3043
Request param:_fb=tableviewer
Request param:_fp=0
Request param:pAction=_factory
Request param:dataExportFormat=xlsx
Tx id=250064809
Tx Isolation=2
Tx Auto commit=false
Error id=1376911759330
Error date=Mon Aug 19 13:29:19 CEST 2013
Error stack trace=java.lang.ClassNotFoundException: org.apache.xmlbeans.XmlObject from [Module "deployment.dashbuilder.war:main" from Service Module Loader]
	at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:196)
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:444)
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:432)
	at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:374)
	at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:119)
	at org.apache.poi.xssf.streaming.SXSSFWorkbook.<init>(SXSSFWorkbook.java:172)
	at org.apache.poi.xssf.streaming.SXSSFWorkbook.<init>(SXSSFWorkbook.java:143)
	at org.apache.poi.xssf.streaming.SXSSFWorkbook.<init>(SXSSFWorkbook.java:205)
	at org.jboss.dashboard.displayer.table.ExportTool.exportExcel(ExportTool.java:104)
	at org.jboss.dashboard.ui.components.table.TableHandler.actionExportData(TableHandler.java:329)
	at org.jboss.dashboard.ui.components.table.TableViewer.actionExportData(TableViewer.java:65)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.dashboard.ui.components.HandlerFactoryElement.handle(HandlerFactoryElement.java:140)
	at org.jboss.dashboard.ui.components.FactoryRequestHandler.handle(FactoryRequestHandler.java:154)
	at org.jboss.dashboard.ui.components.FactoryRequestHandler.performRequestHandling(FactoryRequestHandler.java:145)
	at org.jboss.dashboard.ui.components.FactoryRequestHandler.handleRequest(FactoryRequestHandler.java:43)
	at org.jboss.dashboard.ui.panel.PanelDriver.panelActionFactory(PanelDriver.java:1225)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.jboss.dashboard.ui.panel.PanelDriver.execute(PanelDriver.java:808)
	at org.jboss.dashboard.ui.controller.requestChain.FactoryActionRequestExecutor.processRequest(FactoryActionRequestExecutor.java:110)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:61)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:63)
	at org.jboss.dashboard.ui.controller.ControllerServlet$3.txFragment(ControllerServlet.java:192)
	at org.jboss.dashboard.database.hibernate.HibernateTransaction.executeFragment(HibernateTransaction.java:254)
	at org.jboss.dashboard.database.hibernate.HibernateTxFragment.executeInitiator(HibernateTxFragment.java:179)
	at org.jboss.dashboard.database.hibernate.HibernateTxFragment.execute(HibernateTxFragment.java:167)
	at org.jboss.dashboard.ui.controller.ControllerServlet.processTheRequest(ControllerServlet.java:187)
	at org.jboss.dashboard.ui.controller.ControllerServlet$2.doWork(ControllerServlet.java:166)
	at org.jboss.dashboard.factory.Factory.runWork(Factory.java:295)
	at org.jboss.dashboard.factory.Factory.doWork(Factory.java:323)
	at org.jboss.dashboard.ui.controller.ControllerServlet.service(ControllerServlet.java:148)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149)
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)
	at org.apache.catalina.authenticator.SingleSignOn.invoke(SingleSignOn.java:408)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)
	at java.lang.Thread.run(Thread.java:722)
Comment 1 Walter Medvedeo 2013-08-27 08:01:03 EDT
The reported issue was solved in the following commits in the master branch:

dashboard-builder:

commit 3359a6d20a4c65ba8c0fa44c0069e8a322a7a874
Author: Walter Medvedeo <wmedvedeo@gmail.com>
Date:   Tue Aug 27 13:31:21 2013 +0200

    1) Exclude for <exclude>WEB-INF/lib/xmlbeans-*.jar</exclude> was removed to resolve bug: https://bugzilla.redhat.com/show_bug.cg
    2) and version number was added for dependency to jetty-server. (this version number is only useful to run the showcase applicat


jbpm-dashboard:

commit 150eca508d4316abe6646d75c2e870b9a74d201b
Author: Walter Medvedeo <wmedvedeo@gmail.com>
Date:   Tue Aug 27 13:33:30 2013 +0200

     Exclude for <exclude>WEB-INF/lib/xmlbeans-*.jar</exclude> was removed to resolve bug: https://bugzilla.redhat.com/show_bug.cgi?


And then cherry-picked to the 6.0.x branch in the following commits:

dashboard-builder:

commit 4d541dc510ec086ea70fc5c9b73d7c28d67db958
Author: Walter Medvedeo <wmedvedeo@gmail.com>
Date:   Tue Aug 27 13:31:21 2013 +0200

    1) Exclude for <exclude>WEB-INF/lib/xmlbeans-*.jar</exclude> was removed to resolve bug: https://bugzilla.redhat.com/show_bug.cg
    2) and version number was added for dependency to jetty-server. (this version number is only useful to run the showcase applicat


jbpm-dashboard:

commit bf9e265169cfa6f42b143722831ead54e3a1c81f
Author: Walter Medvedeo <wmedvedeo@gmail.com>
Date:   Tue Aug 27 13:33:30 2013 +0200

     Exclude for <exclude>WEB-INF/lib/xmlbeans-*.jar</exclude> was removed to resolve bug: https://bugzilla.redhat.com/show_bug.cgi?
Comment 4 Jan Hrcek 2013-09-23 06:45:48 EDT
Verified with BPMS 6.0.0 ER3

Note You need to log in before you can comment on or make changes to this bug.